Package org.springframework.security.web.server.ui

# Class DefaultResourcesWebFilter

java.lang.Object
org.springframework.security.web.server.ui.DefaultResourcesWebFilter

All Implemented Interfaces:
  `org.springframework.web.server.WebFilter`

public final class DefaultResourcesWebFilter extends Object implements org.springframework.web.server.WebFilter
Serve common static assets used in default UIs, such as CSS or Javascript files. For internal use only.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`static DefaultResourcesWebFilter`
`css()`
Create an instance of `DefaultResourcesWebFilter` serving Spring Security's default CSS stylesheet.
`reactor.core.publisher.Mono<Void>`
`filter(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### filter

public reactor.core.publisher.Mono<Void> filter(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)

Specified by:
  `filter` in interface `org.springframework.web.server.WebFilter`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### css

public static DefaultResourcesWebFilter css()
Create an instance of `DefaultResourcesWebFilter` serving Spring Security's default CSS stylesheet.

The created `DefaultResourcesFilter` matches requests `HTTP GET /default-ui.css`, and returns the default stylesheet at `org/springframework/security/default-ui.css` with content-type `text/css;charset=UTF-8`.

Returns:
  -